
C  **********************************************************************
C  *                                                                    *
C  *             *****     SUBROUTINE FFT_MAP_FILL     *****            *
C  *                                                                    *
C  *    LOAD IDIM1 X IDIM2 "FFT" ARRAY INTO NCOL X NROW "MAP" SECTION.  *
C  *                                                                    *
C  *    JANUARY 1992  PURDUE UNIVERSITY VAX 8550, T. BAKER.             *
C  *    MODIFIED 17-DEC-1997 BY T. BAKER (Rid of EM.CMM).               *
C  *    LAST MODIFIED 2-SEP-1999 BY TSB (Rid of EM_WRT).                *
C  **********************************************************************
C
      SUBROUTINE FFT_MAP_FILL (FFT, IDIM1, IDIM2, MAP, NCOL, NROW, BKG)

      IMPLICIT NONE

      INTEGER*4, INTENT(IN) :: NCOL, NROW, IDIM1, IDIM2
      complex, INTENT(IN)   :: FFT(IDIM1,IDIM2), BKG

      REAL*4, INTENT(OUT)   :: MAP(NCOL,NROW)

      INTEGER*4 I, J

      IF(BKG == 0.0) THEN
         DO J = 1,NROW
            DO I = 1,NCOL
               MAP(I,J) = real(FFT(I,J))
            ENDDO
         ENDDO
      ELSE
         DO J = 1,NROW
            DO I = 1,NCOL
               MAP(I,J) = real(FFT(I,J)) + BKG
            ENDDO
         ENDDO
      ENDIF

      RETURN
      END SUBROUTINE FFT_MAP_FILL
